[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[lvm-devel] LVM2/test/lib aux.sh



CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mbroz sourceware org	2011-03-01 22:28:27

Modified files:
	test/lib       : aux.sh 

Log message:
	Fix tests if udevadm missing (old udev).

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/lib/aux.sh.diff?cvsroot=lvm2&r1=1.8&r2=1.9

--- LVM2/test/lib/aux.sh	2011/01/28 16:10:21	1.8
+++ LVM2/test/lib/aux.sh	2011/03/01 22:28:27	1.9
@@ -371,6 +371,7 @@
 
 udev_wait() {
 	pgrep udev >/dev/null || return
+	which udevadm >/dev/null || return
 	if test -n "$1" ; then
 		udevadm settle --exit-if-exists=$1
 	else


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]